Subject: DATABASE EXTRACTION

From: "Politini, Cohen" <[email-masked]>
Date: Thu, 13 Apr 2000 11:06:54 +1000

I am trying to complete a database in prolog but when it comes to data
extraction my set rule can only extract the first match it makes in the
database although I want it to extract every match it makes.

example: To extract birthdates of  any person named John it finds only the
first John I put in the db and outputs his and only his birthdate, although
it should output the other birthdates of all John's listed.

As you can see I have just started learning Prolog and I will really
appreciate your help as soon as possible.

Thanks in advance.